Bug 578019 - lang-specific overrides rule doesn't work as expected
lang-specific overrides rule doesn't work as expected
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hanazono-fonts (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
:
Depends On: 578015
Blocks: F13Target
  Show dependency treegraph
 
Reported: 2010-03-29 23:31 EDT by Akira TAGOH
Modified: 2010-05-10 19:48 EDT (History)
3 users (show)

See Also:
Fixed In Version: hanazono-fonts-20100222-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-10 19:48:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2010-03-29 23:31:21 EDT
Description of problem:
All of detailed information is available on my post at the fonts list:
http://lists.fedoraproject.org/pipermail/fonts/2010-March/001117.html

binding="same" in the fontconfig config file prevents to apply the rule for the
specific
language only properly. As a result, fonts is used for non-targetted languages
and it may gives different look and feel in some cases.

I'd propose to get rid of binding="same" from:
 66-hanazono.conf
Comment 1 Akira TAGOH 2010-04-16 04:41:32 EDT
Fixed in hanazono-fonts-20100222-1.fc13.
Comment 2 Fedora Update System 2010-04-16 04:47:25 EDT
hanazono-fonts-20100222-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/hanazono-fonts-20100222-1.fc13
Comment 3 Fedora Update System 2010-04-16 19:39:14 EDT
hanazono-fonts-20100222-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hanazono-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/hanazono-fonts-20100222-1.fc13
Comment 4 Fedora Update System 2010-04-21 07:14:26 EDT
hanazono-fonts-20100222-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/hanazono-fonts-20100222-2.fc13
Comment 5 Fedora Update System 2010-04-21 17:54:16 EDT
hanazono-fonts-20100222-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hanazono-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/hanazono-fonts-20100222-2.fc13
Comment 6 Akira TAGOH 2010-04-26 05:13:13 EDT
Testing result:
hanazono-fonts-20100222-2.fc13.noarch
# fc-match serif:lang=en
DejaVuSerif.ttf: "DejaVu Serif" "Book"
# fc-match serif:lang=en-us
DejaVuSerif.ttf: "DejaVu Serif" "Book"
# fc-match serif:lang=ja
VL-Gothic-Regular.ttf: "VL Gothic" "regular"
# fc-match serif:lang=ja-jp
VL-Gothic-Regular.ttf: "VL Gothic" "regular"

Well, the font itself seems broken. no ja lang supported according to the fontconfig's analysis:

# fc-match -v HanaMin|grep "        lang"
        lang: zh-hk|zh-mo|zh-tw(s)

# for i in $(ls /usr/share/locale|grep -v -E "^(ja)$"); do fc-match serif:lang=$i|grep -E "^(HanaMin)$"; [ $? = 0 ] && echo $i; done

No affects to other languages however. and this issue itself is gone with the updated package.
Comment 7 Fedora Update System 2010-05-10 19:48:40 EDT
hanazono-fonts-20100222-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.